openjdk-17 (17.0.19+10-1~25.10.2) questing-security; urgency=medium

  * Upload to Ubuntu 25.10.
  * d/rules: Do not validate control files for the old releases.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Sun, 26 Apr 2026 21:28:23 +1200

openjdk-17 (17.0.19+10-1) unstable; urgency=medium

  * OpenJDK 17.0.19 release, build 10.
    - CVEs:
      + CVE-2026-22016: 8370529: Enhance Path Factories Redux
      + CVE-2026-34282: 8374557: Enhance TLS connection handling
      + CVE-2026-22021: 8371830: Enhance certificate chain validation
      + CVE-2026-22013: 8370615: Improve Kerberos credentialing
      + CVE-2026-23865: 8379158: Update FreeType to 2.14.2
      + CVE-2026-22018: 8370986: Enhance Zip file reading
      + CVE-2026-22007: 8369575: Enhance crypto algorithm support
      + CVE-2026-34268: 8371935: Enhance key generation
  * d/rules: Check generated files only on amd64. This resolves riscv64
    ftbfs, as some architectures change with_check flag.
  * d/t/problems.csv: Fix typo in loong64 excluded tests lists.
  * Add common GPL and Apache license headers to copyright generator.
  * d/copyright: Regenerate.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Fri, 24 Apr 2026 14:03:13 +1200

openjdk-17 (17.0.19~9ea-2) unstable; urgency=medium

  * Ensure that all generated files are up to date:
    - The copyright generator now checks if the current directory contains
      an unpacked OpenJDK tree by verifying the presence of the
      ASSEMBLY_EXCEPTION file.
    - The copyright generator now drops common license text in-memory,
      without running a shell script that modifies the source tree.
    - d/rules: Add targets to generate all files and check that they match
      the ones provided in the source package.
    - d/rules: Add nogen DEB_BUILD_OPTION to disable file regeneration.
  * d/rules: Use '-' instead of '~' in opt version string, swap package
    version and distribution.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Fri, 17 Apr 2026 09:49:19 +1200

openjdk-17 (17.0.19~9ea-1) unstable; urgency=medium

  * OpenJDK 17.0.19 early access, build 9.
  * d/rules: Revert replace '~' with '-' in the optional version string.
    This should be resolved upstream.
  * d/t/problems.csv: Update problem list.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 16 Mar 2026 15:31:01 +1300

openjdk-17 (17.0.19~6ea-1) unstable; urgency=medium

  * OpenJDK 17.0.19 early access, build 6.
  * d/rules: Replace '~' with '-' in the optional version string.
  * d/dbg.py: Fix syntax errors in gdb unwinder, do not install unwinder
    for zero, install hotspot unwinder in the correct directory.
    Disable debug traces. Load unwinder in the disabled state.
    Return iterator rather than list from OpenJDKFrameFilter.flatten().
    Remove unused code from NativeMethodInfo.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Fri, 13 Mar 2026 14:44:35 +1300

openjdk-17 (17.0.18+8-1) unstable; urgency=medium

  * OpenJDK 17.0.18 release, build 8.
   - CVEs:
      + CVE-2026-21945: 8368032: Enhance Certificate Checking.
      + CVE-2026-21932: 8359501: Enhance Handling of URIs.
      + CVE-2026-21933: 8362632: Improve HttpServer Request handling.
      + CVE-2026-21925: 8341496: Improve JMX connections.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 22 Jan 2026 12:38:58 +1300

openjdk-17 (17.0.18~7ea-1) unstable; urgency=medium

  * OpenJDK 17.0.18 early access, build 7.

  [ Matthias Klose ]
  * d/rules: Run the testsuite for loong64, don't run on riscv64.

  [ Pushkar Kulkarni ]
  * d/t/jtreg-autopkgtest.*: use locale name "C.UTF-8" on bionic
    and focal.

  [ Vladimir Petko ]
  * d/p/jdk-8369450-proposed.patch: Drop patch applied upstream.
  * Update override comments for unstripped-binary-or-object. We need to
    keep symbols for Native Memory Tracking to work.
  * d/{JB-doc.overrides.in, JB-jre-headless.overrides.in}: Add override
    for old FSF copyright address.
  * d/s/lintian-overrides: Override false positive debian-rules-calls-
    nproc. The utility is used to log the number of processors.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 05 Jan 2026 15:55:38 +1300

openjdk-17 (17.0.17+10-1) unstable; urgency=medium

  * OpenJDK 17.0.17 release, build 10.
    - CVEs:
      + CVE-2025-53057, 8360937: Enhance certificate handling.
      + CVE-2025-53066, 8356294: Enhance Path Factories.

  [ Vladimir Petko ]
  * d/t/jtreg-autopkgtest.*: Force utf-8 encoding.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 22 Oct 2025 08:14:04 +0200

openjdk-17 (17.0.17~8ea-1) unstable; urgency=medium

  * OpenJDK 17.0.17 early access, build 8.

  [ Vladimir Petko ]
  * d/t/problems.csv: Synchronize problem list.
  * d/p/jdk-8369450.patch: Fix ftbfs due to rust-coreutils date. LP: #2127120.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 27 Sep 2025 16:17:54 +0200

openjdk-17 (17.0.17~5ea-1) unstable; urgency=medium

  * OpenJDK 17.0.17 early access, build 5.

  [ Matthias Klose ]
  * Build using GCC 15 on development releases.

  [ Vladimir Petko ]
  * d/rules: Disable jtreg test for riscv on focal.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 29 Aug 2025 12:15:33 +0200

openjdk-17 (17.0.16+8-1) unstable; urgency=high

  * OpenJDK 17.0.16 release, build 8.
    - Addresses CVE-2025-5010, CVE-2025-50059, CVE-2025-30754, CVE-2025-30749.
      See https://openjdk.org/groups/vulnerability/advisories/2025-07-15.
    - Release notes:
      https://mail.openjdk.org/pipermail/jdk-updates-dev/2025-July/045614.html

  [ Vladimir Petko ]
  * d/p/jdk-8359735-proposed.patch: Fix process tests failing in Ubuntu 25.10.
  * d/copyright-generator/copyright-gen.py: Bump copyright year.
  * d/copyright: Regenerate.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Jul 2025 12:22:09 +0200

openjdk-17 (17.0.16~5ea-1) unstable; urgency=medium

  * OpenJDK 17.0.16 early access, build 5.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Jun 2025 14:01:14 +0200

openjdk-17 (17.0.15+6-1) unstable; urgency=high

  * OpenJDK 17.0.15 release, build 6.
    - Addresses CVE-2025-30698, CVE-2025-30691, CVE-2025-21587.

  * Honour DEB_BUILD_OPTIONS=parallel=N while running jtreg tests (Helmut
    Grohne). Addresses: #1095920.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Apr 2025 02:05:43 +0200

openjdk-17 (17.0.15~5ea-1) unstable; urgency=medium

  * OpenJDK 17.0.14 early access, build 5.

  [ Vladimir Petko ]
  * d/t/problems.csv: Disable tests failing due to upstream bugs.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 27 Mar 2025 13:35:58 +0100

openjdk-17 (17.0.15~4ea-1) unstable; urgency=medium

  * OpenJDK 17.0.14 early access, build 4.

  [ Vladimir Petko ]
  * d/rules: Disable dtrace on jammy armhf (was not enabled before and cannot
    be built due to a GCC ICE (see LP #2091225).

 -- Matthias Klose <doko@ubuntu.com>  Sat, 15 Mar 2025 09:45:37 +0100

openjdk-17 (17.0.14+7-1) unstable; urgency=medium

  * OpenJDK 17.0.14 release, build 7. Release notes:
    https://mail.openjdk.org/pipermail/jdk-updates-dev/2025-January/040827.html

    - CVEs:
      + CVE-2025-21502 - 8330045: Enhance array handling.

  [ Vladimir Petko ]
  * d/rules: Dump complete hs_err_pid and replay_pid logs to stdout.
  * d/t/problems.csv: Add openjdk-24 and openjdk-25 to the problems.csv.
  * d/rules: Create link to jquery-3.7.1.min.js instead of jquery-3.6.1.min.js
    (LP: #2095455).
  * d/copyright: Regenerate.

  [ Matthias Klose ]
  * d/rules: Also dump logs for zero builds and for build failures.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 22 Jan 2025 10:17:58 +0100

openjdk-17 (17.0.14~6ea-1) unstable; urgency=medium

  * OpenJDK 17.0.14 early access, build 6.

  [ Pushkar Kulkarni ]
  * d/t/problems.csv: Update based on recent JTREG runs.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 20 Dec 2024 11:09:22 +0100

openjdk-17 (17.0.13+11-2) unstable; urgency=high

  * Don't enable dtrace on POWER* architectures.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Oct 2024 10:59:51 +0200

openjdk-17 (17.0.13+11-1) unstable; urgency=high

  * OpenJDK 17.0.13 release, build 11.
    - CVE-2024-21208
    - CVE-2024-21210
    - CVE-2024-21217
    - CVE-2024-21235

  [ Vladimir Petko ]
  * d/rules: do not include dtrace support for S390x (JDK-8305174).
  * d/t/problems.csv: Disable jdk/sun/security/util/Debug/DebugOptions.java
    due to JDK-8339713.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 16 Oct 2024 12:01:58 +0200

openjdk-17 (17.0.13~6ea-1) unstable; urgency=medium

  * OpenJDK 17.0.13 early access, build 6.

  [ Vladimir Petko ]
  * d/copyright-generator/strip-common-licenses.sh: Add GPLv3 to the
    list of common licenses.
  * d/JB-*.override.in: Update lintian overrides.
  * d/s/lintian-override: Add source-contains-prebuilt-javascript-object
    due to LP: 2032992.
  * d/p/jdk-8334895-proposed.patch: Fix typo in the patch description.
  * d/t/problemlist.csv: Update problemlist.csv for July release
  * d/t/jtreg-autopkgtest.{in,sh}: Increase jtreg test timeouts.
  * Enable dtrace support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Sep 2024 15:48:20 +0200

openjdk-17 (17.0.12+7-2) unstable; urgency=medium

  [ Vladimir Petko ]
  * d/p/jdk-8312488.patch: Add upstream patch to resolve jpackage crash.
  * d/copyright: Regenerate copyright.
  * d/rules, d/t/*: Collate all excluded tests into d/t/problemlist.csv.
  * d/rules: Enable fallback linker for Foreign Function and Memory API
    on i386 and armhf.
  * d/watch: Use fixed googletest version.
  * d/p/jdk-8336529-proposed.patch: Fix time_t migration issue on armhf.
    openjdk is unable to set file last modified timestamp.
  * d/p/jdk-8334895-proposed.patch: Refresh patch.
  * d/rules: Relax jtreg7 version condition for backports.
  * d/rules, d/control.in: Depend on pkgconf rather than pkg-config in
    bookworm and later releases. This resolves lintian warning
    build-depends-on-obsolete-package Build-Depends: pkg-config => pkgconf.
  * d/rules: Drop autotools-dev dependency for the modern debhelper.
    This resolves obsolete autotools-dev dependency lintian warning.
    See #844191.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Jul 2024 08:42:49 +0200

openjdk-17 (17.0.12+7-1) unstable; urgency=medium

  * OpenJDK 17.0.12 release, build 7.
    - CVEs:
      + CVE-2024-21147
      + CVE-2024-21145
      + CVE-2024-21140
      + CVE-2024-21131
      + CVE-2024-21138
    - Security Fixes:
      + JDK-8316138: Added GlobalSign R46 and E46 root CA certificates.
      + JDK-8256660: Disabled DTLS 1.0.
      + JDK-8326891: Native executables and libraries on Linux use
        RPATH instead of RUNPATH.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Jul 2024 13:02:09 +0200

openjdk-17 (17.0.12~6ea-1) unstable; urgency=medium

  * OpenJDK 17.0.12 early access, build 6.

  [ Vladimir Petko ]
  * d/p/8295111.patch: Apply upstream patch to resolve jpackage failure
    to create a deb package.
  * d/t/problems-i386.txt: Update i386 test exclusions.
  * d/t/problems-armhf.txt: Update armhf test exclusions.
  * d/p/jdk-8307977.patch: Rename patch.
  * d/p/jdk-8334502-proposed.patch: Add proposed fix for iso8601 time format
    on ARM32.
  * d/p/jdk-8334895-proposed.patch: Add proposed fix for configuration failure
    when CDS is disabled on arm64.
  * d/control: Regenerate control.
  * d/rules: Enable early access release.
  * d/rules: Enable jtreg tests.
  * d/rules: Include /usr/share/dpkg/buildflags.mk to avoid configure failure
    due to the undefined variables.
  * d/p/jdk-8325567.patch: jspawnhelper without args fails with segfault.
    LP: #2055280.
  * d/p/jdk-8331541.patch: Add fix for the link failure against libjvm.so on
    i386. Closes: #1057715.

  [ Matthias Klose ]
  * Build using GCC 10 for focal.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 29 Jun 2024 09:05:11 +0200

openjdk-17 (17.0.11+9-1) unstable; urgency=high

  * OpenJDK 17.0.11 release, build 9.
    - CVE-2024-21011, 8319851: Improve exception logging.
    - CVE-2024-21068, 8322122: Enhance generation of addresses.
    - 8318340: Improve RSA key implementations.
    - CVE-2024-21012, 8315708: Enhance HTTP/2 client usage.
  * CVE-2024-21094, 8317507: Already fixed in November 2023:
    C2 compilation fails with "Exceeded _node_regs array".

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Apr 2024 14:24:58 +0200

openjdk-17 (17.0.11~7ea-1) unstable; urgency=medium

  * OpenJDK 17.0.11 early access, build 7.

  [ Matthias Klose ]
  * Don't try to install jhsdb on armhf with a zero-only build.
  * Update cups dependencies for time_t64.

  [ Pushkar Kulkarni ]
  * Fix a typo in the vendor name derivation logic.
  * copyright-generator: Derive release from debian/rules.

  [ Vladimir Petko ]
  * Fix installing the s390x build.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Mar 2024 00:04:45 +0100

openjdk-17 (17.0.11~6ea-1) unstable; urgency=medium

  * OpenJDK 17.0.11 early access, build 6.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 12 Mar 2024 18:37:33 +0100

openjdk-17 (17.0.10+7-3) unstable; urgency=medium

  * d/changelog: Whitespace cleanup.
  * Update build dependency on libfontconfig-dev.
  * Apply proposed patch for JDK-8307977. Addresses: #1034600.
  * libcups2, libfontconfig1: Make it a recommends in jre-headless,
    a dependency in jre.
  * Make the dependencies for libfontmanager.so and libjsound.so
    recommendations in jre-headless, and dependencies in jre.
  * Drop build dependencies on libgtk2 | libgtk3.
  * Disable running the tests for the time_t64 bootstrap.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 11 Mar 2024 16:08:33 +0100

openjdk-17 (17.0.10+7-1) unstable; urgency=high

  * OpenJDK 17.0.10 release, build 7.
    - CVEs:
      + CVE-2024-20918
      + CVE-2024-20919
      + CVE-2024-20921
      + CVE-2024-20932
      + CVE-2024-20945
      + CVE-2024-20952
    - Security fixes:
      + JDK-8276123, JDK-8316613: ZipFile::getEntry will not return a file entry
        when there is a directory entry of the same name within a Zip File.
      + JDK-8308204: Enhanced certificate processing.
      + JDK-8314295: Enhance verification of verifier.
      + JDK-8314307: Improve loop handling.
      + JDK-8314468: Improve Compiler loops.
      + JDK-8316976: Improve signature handling.
      + JDK-8317547: Enhance TLS connection support.

  [ Vladimir Petko ]
  * d/t/jtreg-autopkgtest.sh: Regenerate test script.
  * Generate d/watch to cope with early access and release builds.
  * d/rules: Trim trailing whitespaces from debian/control.

  [ Matthias Klose ]
  * Build again zero on amd64 (accidental change in 6ea-1).

  [ Pushkar Kulkarni ]
  * Minor improvements to the copyright-generator.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Jan 2024 12:09:47 +0100

openjdk-17 (17.0.10~6ea-1) unstable; urgency=medium

  * OpenJDK 17.0.10 early access, build 6.

  [ Pushkar Kulkarni ]
  * debian/copyright: Fix whitespace issues.

  [ Vladimir Petko ]
  * d/copyright: Fix lintian warning.

  [ Matthias Klose ]
  * d/copyright: Fix source location.
  * Build-depend on jtreg7 instead of jtreg6.
  * d/p/googletest-version.diff: Ignore the version check, keep 1.14.
  * Refresh patches.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 26 Dec 2023 13:18:48 +0100

openjdk-17 (17.0.9+9-2) unstable; urgency=medium

  [ Vladimir Petko ]
  * d/t/write-problems: Add missing file to generate the problem list.

  [ Pushkar Kulkarni ]
  * debian/copyright: Update copyrights and notices, using a generator script.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 11:23:27 +0100

openjdk-17 (17.0.9+9-1) unstable; urgency=high

  * OpenJDK 17.0.9 release, build 9.
    - CVE-2023-30589, CVE-2023-22081, CVE-2023-22091, CVE-2023-22025.
      The patch for CVE-2023-30589 also addresses CVE-2023-30585,
      CVE-2023-30588, and CVE-2023-30590.
    - Release notes:
      https://www.oracle.com/java/technologies/javase/17-0-9-relnotes.html#R17_0_9

  [ Vladimir Petko ]
  * Backport upstream fix for jexec: can't locate java:
    No such file or directory.  Closes: #1029342.
  * d/rules, d/watch: Bundle googletest 1.14.
  * d/copyright: Add googletest copyright.
  * d/test: Update problemlist.
  * d/p: exclude-broken-tests.patch.
  * d/p/reproducible-properties-timestamp.diff: Use the privileged action
    to read the system property (JDK-8272157, 914278).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 18 Oct 2023 09:07:04 +0200

openjdk-17 (17.0.9~6ea-1) unstable; urgency=medium

  * OpenJDK 17.0.9 early access, build 6.

  [ Matthias Klose ]
  * Build-depend on the unversioned libfreetype-dev.
  * Backport the openjdk-17 zero support for loong64 (Xuefeng Pan).
    Closes: #1051906.
  * Build using GCC 13 on development versions.

  [ Vladimir Petko ]
  * Fix jquery-min.js symlink. Closes: #998763.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Sep 2023 13:35:34 +0200

openjdk-17 (17.0.9~4ea-1) unstable; urgency=medium

  * OpenJDK 17.0.9 early access, build 4.

  [ Vladimir Petko ]
  * d/t/jtreg-autopkgtest.{sh,in}: JDK-8232153 - set NSS_DEFAULT_DB_TYPE
    to let sun/security/pkcs11/Secmod/AddTrustedCert.java pass.
  * d/p/exclude-broken-tests.patch: quarantine pkcs11 tests failing with NSS 3.91.
  * d/t/problems-armhf.txt: quarantine armhf failing tests:
    - java/net/httpclient/ManyRequestsLegacy.java: SSL request timeout.
    - java/util/Random/RandomTestBsi1999.java: deadlock in CI.
  * d/copyright: Remove liblcms from excluded files.
  * d/rules: Enable jtreg tests for bionic and focal.
  * d/p/build_gtest.patch: Update patch to work with earlier versions
    of google-test.

  [ Matthias Klose ]
  * Explicitly configure --without-jtreg with the nocheck profile

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Aug 2023 08:29:32 +0200

openjdk-17 (17.0.8+7-1) unstable; urgency=high

  * OpenJDK 17.0.8 release, build 7.
    - CVE-2023-22006, CVE-2023-22036, CVE-2023-22041, CVE-2023-22044,
      CVE-2023-22045, CVE-2023-22049, CVE-2023-25193.
    - Release notes:
      https://www.oracle.com/java/technologies/javase/17-0-8-relnotes.html#R17_0_8

  * Don't run the tests on powerpc, hangs on the buildd.
  * Refresh patches.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Jul 2023 08:29:02 +0200

openjdk-17 (17.0.8~6-5) unstable; urgency=medium

  * Revert back to the riscv64 hotspot patch to v7.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Jul 2023 14:33:08 +0200

openjdk-17 (17.0.8~6-4) unstable; urgency=medium

  [ Matthias Klose ]
  * Update the riscv64 hotspot patch to v9.
  * Run the hotspot tests on riscv64.
  * Link with --no-as-needed. Closes: #1031521.
  * d/rules: Remove EXTRA_.*FLAGS_JDK macros.
  * Fix FTCBFS: Add libffi-dev:native to B-D (Helmut Grohne).

  [ Vladimir Petko ]
  * Disable runtime/jni/nativeStack/TestNativeStack.java for armhf pending
    upstream fix.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Jul 2023 16:41:54 +0200

openjdk-17 (17.0.8~6-3) unstable; urgency=medium

  [ Vladimir Petko ]
  * Use libtestng7-java as jtreg6 dependency as TestNG 7.x is required
    at runtime.
  * Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 01 Jul 2023 09:19:52 +0200

openjdk-17 (17.0.8~6-2) unstable; urgency=medium

  * Provide versioned java-runtime, java-runtime-headless, java-sdk
    and java-sdk-headless virtual packages (Emmanuel Bourg). Closes: #1023869.
  * Install jhsb binary and man page on riscv64.
  * Bump standards version.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 29 Jun 2023 07:23:06 +0200

openjdk-17 (17.0.8~6-1) experimental; urgency=medium

  * OpenJDK 17.0.8 early access, build 6.
  * Bump debhelper version to 11.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 27 Jun 2023 12:05:37 +0200

openjdk-17 (17.0.7+7-2) unstable; urgency=medium

  [ Vladimir Petko ]
  * d/rules: backport testng selection logic.

  [ Matthias Klose ]
  * Apply the backport patch for 8276799 (RISC-V Hotspot).
  * Build both JREs (hotspot and zero) on riscv64.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 Jun 2023 15:58:27 +0200

openjdk-17 (17.0.7+7-1) unstable; urgency=high

  * OpenJDK 17.0.7 release, build 7.
    - CVE-2023-21930, CVE-2023-21937, CVE-2023-21938, CVE-2023-21939,
      CVE-2023-21954, CVE-2023-21967, CVE-2023-21968.
    - Release notes:
      https://mail.openjdk.org/pipermail/jdk-updates-dev/2023-April/021899.html

  [ Vladimir Petko ]
  * Refresh patches.
  * debian/copyright: Convert to machine readable format.
  * Update watch file.
  * Update tag and version handling in the rules file.
  * debian/JB-jre-headless.postinst.in: trigger ca-certificates-java after
    the JRE is set up.
  * d/control: add jtreg6 dependencies, regenerate control.
  * d/rules: only compile google tests when with_check is enabled, disable them
    for bullseye and jammy.
  * d/rules: always use jtreg6.
  * d/p/exclude-broken-tests.patch: add OpenJDK 17 failures.
  * d/p/*: add patches for jtreg tests:
    - disable-thumb-assertion.patch: fix JDK-8305481.
    - update-assertion-for-armhf.patch: fix JDK-8305480.
    - misalign-pointer-for-armhf.patch: packaging-specific patch to fix test
    - failure introduced by d/p/m68k-support.diff.
    - log-generated-classes-test.patch: workaround JDK-8166162.
    - update-permission-test.patch: add security permissions for testng 7.
    - ldap-timeout-test-use-ip.patch, test-use-ip-address.patch: Ubuntu-specific
    - patches to workaround missing DNS resolver on the build machines.
    - exclude_broken_tests.patch: quarantine failing tests.
  * d/t/{jdk,hotspot,jaxp,lantools}: run tier1 and tier2 jtreg tests only,
  * add test options from OpenJDK Makefile, patch problem list to exclude
    architecture-specific failing tests.
  * d/t/*: fix test environment: add missing -nativepath (LP: #2001563).
  * d/t/jdk: provide dbus session for the window manager (LP: #2001576).
  * d/t/jtreg-autopkgtest.in: pass JTREG home to locate junit.jar, regenerate
  * d/t/jtreg-autopkgtest.sh (LP: #2016206).
  * d/rules: pack external debug symbols with build-id, do not strip JVM shared
    libraries (LP: #2012326, LP: #2016739).
  * drop d/p/{jaw-classpath.diff, jaw-optional.diff}: the atk wrapper is
    disabled and these patches cause class data sharing tests to fail.
    LP: #2016194.

 -- Matthias Klose <doko@debian.org>  Tue, 06 Jun 2023 13:36:52 +0200

openjdk-17 (17.0.6+10-1) unstable; urgency=high

  * OpenJDK 17.0.6 release, build 10.
    - CVE-2023-21835, CVE-2023-21843
    - Release notes:
      https://www.oracle.com/java/technologies/javase/17-0-6-relnotes.html

  [ Vladimir Petko ]
  * debian/patches/*: Refresh patches for the new release and drop unused
    patches.
  * debian/rules: add lunar to jtreg version selection.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Jan 2023 11:36:16 +0100

openjdk-17 (17.0.5+8-2) unstable; urgency=medium

  * Fix the binary-indep only build.

 -- Matthias Klose <doko@debian.org>  Wed, 19 Oct 2022 16:23:50 +0200

openjdk-17 (17.0.5+8-1) unstable; urgency=high

  * OpenJDK 17.0.5+8 (release).
  * Security fixes
    - JDK-8289366: Improve HTTP/2 client usage.
    - JDK-8288508: Enhance ECDSA usage.
    - JDK-8286918: Better HttpServer service.
    - JDK-8287446: Enhance icon presentations.
    - JDK-8286910: Improve JNDI lookups.
    - JDK-8286511: Improve macro allocation.
    - JDK-8286526: Improve NTLM support.
    - JDK-8286533: Key X509 usages.
    - JDK-8286077: Wider MultiByte conversions.
    - JDK-8286519: Better memory handling.
    - JDK-8285662: Better permission resolution.
    - JDK-8282252: Improve BigInteger/Decimal validation.
  * Build using GCC 12 in recent development distros.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Oct 2022 06:59:58 +0200

openjdk-17 (17.0.4+8-1) unstable; urgency=high

  * OpenJDK 17.0.4+8 (release).
  * Security fixes
    - JDK-8272243: Improve DER parsing.
    - JDK-8272249: Better properties of loaded Properties.
    - JDK-8273056, JDK-8283875, CVE-2022-21549: java.util.random does not
      correctly sample exponential or Gaussian distributions.
    - JDK-8277608: Address IP Addressing.
    - JDK-8281859, CVE-2022-21540: Improve class compilation.
    - JDK-8281866, CVE-2022-21541: Enhance MethodHandle invocations.
    - JDK-8283190: Improve MIDI processing.
    - JDK-8284370: Improve zlib usage.
    - JDK-8285407, CVE-2022-34169: Improve Xalan supports.
  * Disable the reproducible-copyright-headers patch.
  * Only try to re-run failed tests once instead of three times.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Jul 2022 18:04:41 +0200

openjdk-17 (17.0.3+7-1) unstable; urgency=high

  * OpenJDK 17.0.3+7 (release).
  * Security fixes
    - JDK-8269938: Enhance XML processing passes redux.
    - JDK-8270504, CVE-2022-21426: Better XPath expression handling.
    - JDK-8272255: Completely handle MIDI files.
    - JDK-8272261: Improve JFR recording file processing.
    - JDK-8272588: Enhanced recording parsing.
    - JDK-8272594: Better record of recordings.
    - JDK-8274221: More definite BER encodings.
    - JDK-8275082, JDK-8278008, CVE-2022-21476: Update XML Security for Java
      to 2.3.0.
    - JDK-8275151, CVE-2022-21443: Improved Object Identification.
    - JDK-8277227: Better identification of OIDs.
    - JDK-8277233, CVE-2022-21449: Improve ECDSA signature support.
    - JDK-8277672, CVE-2022-21434: Better invocation handler handling.
    - JDK-8278356: Improve file creation.
    - JDK-8278449: Improve keychain support.
    - JDK-8278798: Improve supported intrinsic.
    - JDK-8278805: Enhance BMP image loading.
    - JDK-8278972, CVE-2022-21496: Improve URL supports.
    - JDK-8281388: Change wrapping of EncryptedPrivateKeyInfo.
  * Refresh patches.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 02 May 2022 20:04:05 +0200

openjdk-17 (17.0.2+8-1) unstable; urgency=high

  * OpenJDK 17.0.2+8 (release).
  * Addresses security issues: CVE-2022-21366, CVE-2022-21365, CVE-2022-21360,
    CVE-2022-21341, CVE-2022-21340, CVE-2022-21305, CVE-2022-21299,
    CVE-2022-21296, CVE-2022-21294, CVE-2022-21293, CVE-2022-21291,
    CVE-2022-21283, CVE-2022-21282, CVE-2022-21277, CVE-2022-21248.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Jan 2022 17:13:47 +0100

openjdk-17 (17.0.1+12-1) unstable; urgency=medium

  * OpenJDK 17.0.1+12 (release).
  * Remove patches applied upstream.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Oct 2021 16:47:06 +0200

openjdk-17 (17+35-1) unstable; urgency=medium

  * Fix JDK-8272472, ftbfs with glibc 2.24.

 -- Matthias Klose <doko@debian.org>  Wed, 15 Sep 2021 07:22:52 +0200

openjdk-17 (17~35ea-1) unstable; urgency=medium

  * OpenJDK 17 snapshot, build 35 (first release candidate).

 -- Matthias Klose <doko@ubuntu.com>  Fri, 13 Aug 2021 13:54:06 +0200

openjdk-17 (17~33ea-1) unstable; urgency=high

  * OpenJDK 17 snapshot, build 33.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Jul 2021 09:22:45 +0200

openjdk-17 (17~32ea-1) unstable; urgency=high

  * OpenJDK 17 snapshot, build 32.
  * Security fixes:
    - JDK-8256157: Improve bytecode assembly.
    - JDK-8256491: Better HTTP transport.
    - JDK-8258432, CVE-2021-2341: Improve file transfers.
    - JDK-8260453: Improve Font Bounding.
    - JDK-8260960: Signs of jarsigner signing.
    - JDK-8260967, CVE-2021-2369: Better jar file validation.
    - JDK-8262380: Enhance XML processing passes.
    - JDK-8262403: Enhanced data transfer.
    - JDK-8262410: Enhanced rules for zones.
    - JDK-8262477: Enhance String Conclusions.
    - JDK-8262967: Improve Zip file support.
    - JDK-8264066, CVE-2021-2388: Enhance compiler validation.
    - JDK-8264079: Improve abstractions.
    - JDK-8264460: Improve NTLM support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 Jul 2021 11:25:32 +0200

openjdk-17 (17~31ea-1) unstable; urgency=medium

  * OpenJDK 17 snapshot, build 31.
  * Encode the early-access status into the package version. LP: #1934895.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Jul 2021 14:25:02 +0200

openjdk-17 (17~29-1) unstable; urgency=medium

  * OpenJDK 17 snapshot, build 29.
  * Update watch file.
  * Prepare to build with jtreg6, where available.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Jul 2021 16:42:23 +0200

openjdk-17 (17~27-1) unstable; urgency=medium

  * OpenJDK 17 snapshot, build 27.
  * Only build using lto with GCC 11.
  * Build using GCC 11 in recent distributions.
  * Update VCS attributes.
  * Disable runnning the tests, requires not yet packaged jtreg6.
  * Remove rimd, removed upstream.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Jun 2021 15:06:18 +0200

openjdk-17 (17~24-1) unstable; urgency=medium

  * OpenJDK 17 snapshot, build 24.
  * Drop the work around for JDK 8211105.
  * Remove jaotc (the experimental JIT compiler), removed upstream.
  * Add an (unapplied) patch to replace OASIS header files with ones
    imported from NSPR and NSS. See #985765.  Not reviewed, not applying.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 27 May 2021 11:26:59 +0200

openjdk-17 (17~19-1) unstable; urgency=high

  * OpenJDK 17 snapshot, build 19.
    - Fix JDK-8250568: Less ambiguous processing (CVE-2021-2161).
    - Fix JDK-8249906: Enhance opening JARs (CVE-2021-2163).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 Apr 2021 09:51:43 +0200

openjdk-17 (17~17-1) unstable; urgency=medium

  * OpenJDK 17 snapshot, build 17.
  * Refresh patches.
  * Prefer to build using openjdk-17 instead of -16. Closes: #986526.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Apr 2021 09:37:40 +0200

openjdk-17 (17~15-1) unstable; urgency=medium

  * OpenJDK 17 snapshot, build 15.
  * Fix another upstream typo to build with external harfbuzz. Closes: #985668.
  * Disable running the tests on mipsel and mips64el.  Times out, and if it
    succeeds, it taken at least five days to run.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Mar 2021 10:31:15 +0100

openjdk-17 (17~14-1) unstable; urgency=medium

  * OpenJDK 17 snapshot, build 14.
  * Don't use the triplet-prefixed binutils tools for backports.
  * Simplify compiler selection for backports.
  * Fix build with older glibc versions. See JDK-8262501.
  * Apply untested patch suggested to fix mips issue. See #983878.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 18 Mar 2021 19:42:16 +0100

openjdk-17 (17~11-1) unstable; urgency=medium

  * OpenJDK 17 snapshot, build 11.
  * Configure --with-copyright-year. Addresses: #956154.
  * Restore the libpcsclite-dlopen patch. Closes: #983465.
  * Don't run the testsuite on armel and riscv64. Crashing the buildds.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Feb 2021 10:33:32 +0100

openjdk-17 (17~10-2) unstable; urgency=medium

  * Fix the build logic, jaotc and jhsdb tools not available on all archs.
  * Ship the jfc files used by jfr.
  * reproducible-build-jmod.diff: Fall back to the unpatched behavior
    for backports.
  * Only build with system harfbuzz for recent releases.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 20 Feb 2021 12:02:45 +0100

openjdk-17 (17~10-1) unstable; urgency=medium

  * OpenJDK 17 snapshot, build 10.
  * Fix building with OpenJDK 17 as the boot jdk.
  * Build with Rules-Requires-Root: no.
  * Move libawt_xawt.so, libjawt.so into the jre package. Addresses: #908058.
  * Move the jfr binary from -jre-headless to -jdk-headless. Development tool.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Feb 2021 13:12:19 +0100

openjdk-17 (17~9-1) unstable; urgency=medium

  * OpenJDK 17 snapshot, build 9.
  * Enable running the tests.
  * Remove the disable-doclint-by-default patch. Was not applied anymore
    in 17.  Closes: #982521.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Feb 2021 10:13:25 +0000

openjdk-17 (17~8-1) unstable; urgency=medium

  * OpenJDK 17 snapshot, build 8.
  * Don't try to apply the removed alpha-float-const patch.
  * Drop the powerpcspe packaging bits.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Feb 2021 14:35:28 +0100

openjdk-17 (17~7-1) unstable; urgency=medium

  * OpenJDK 17 snapshot, build 7.
  * Update watch file.
  * Use debugedit to generate unique build-id's and remove the openjdk-N-dbg
    file conflicts.
  * Remove KFreeBSD build support and patches, not updated since OpenJDK 8.
  * Remove obsolete patches: alpha-float-const, libpcsclite-dlopen,
    parallel-build-fix, s390x-thread-stack-size.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jan 2021 14:52:27 +0100

openjdk-17 (17~5-1) unstable; urgency=medium

  * OpenJDK 17 snapshot, build 5.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2021 10:29:50 +0100

openjdk-17 (17~4-0ubuntu1) hirsute; urgency=medium

  * OpenJDK 17 snapshot, build 4.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 09 Jan 2021 17:25:46 +0100

openjdk-17 (17~3-1) experimental; urgency=medium

  * OpenJDK 17 snapshot, build 3.
  * OpenJDK 17 is supposed to be the next OpenJDK LTS release seeing extended
    updates and security support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 28 Dec 2020 13:57:12 +0100

openjdk-16 (16~29-1) unstable; urgency=medium

  * OpenJDK 16 snapshot, build 29.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 28 Dec 2020 12:44:30 +0100

openjdk-16 (16~27-2) unstable; urgency=medium

  * Fix installation on sparc64.
  * Link with libatomic for more zero builds.
  * Re-enable zero on armhf.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Dec 2020 10:01:45 +0100

openjdk-16 (16~27-1) unstable; urgency=medium

  * OpenJDK 16 snapshot, build 27.
  * Bump standards version.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 Dec 2020 16:42:51 +0100

openjdk-16 (16~14-1) experimental; urgency=medium

  * OpenJDK 16 snapshot, build 14.
  * Build with system harfbuzz.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Nov 2020 14:35:22 +0100

openjdk-15 (15.0.1+9-3) unstable; urgency=medium

  * Don't enabled shenandoahgc explicitly.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Nov 2020 08:54:13 +0100

openjdk-15 (15.0.1+9-2) unstable; urgency=medium

  * Update debian/copyright.
  * Configure --with-jvm-features=shenandoahgc for hotspot builds.
    LP: #1902029.
  * Replace the upstream test suite in the autopkg tests with two superficial
    tests. It doesn't make any sense to run the whole test suite again,
    after running it during the build.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Nov 2020 16:55:34 +0100

openjdk-15 (15.0.1+9-1) unstable; urgency=medium

  * OpenJDK 15.0.1 release, build 9.
  * Build just zero on sparc64 (Adrian Glaubitz). Closes: #965342.
  * Call strip-nondeterminism before computing jmod hashes (Julian Gilbey).
  * Don't run the jdk tests as an autopkg test, taking too long.
    Closes: #970606.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Oct 2020 16:46:35 +0200

openjdk-15 (15+36-1) unstable; urgency=medium

  * OpenJDK 15 release, build 36.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 16 Sep 2020 14:08:36 +0200

openjdk-15 (15~32-2) unstable; urgency=medium

  * debian/copyright (remove licenses not found anymore in the sources):
    - Little CMS, libpng, GIFLIB.
  * Stop building zero on armhf, ftbfs.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 19 Jul 2020 10:36:08 +0200

openjdk-15 (15~32-1) unstable; urgency=medium

  * OpenJDK 15 snapshot, build 32.
  * Build again with -march=zEC12 on Ubuntu/s390x.
  * Re-add missing parts of the riscv64 patch.
  * Run the tests on release architectures.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 17 Jul 2020 15:30:05 +0200

openjdk-15 (15~19-1) unstable; urgency=medium

  * OpenJDK 15 snapshot, build 19.
  * Configure --with-jtreg=/usr/share/jtreg
  * Build with -march=z13 -mtune=z15 on Ubuntu/s390x.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Apr 2020 11:53:19 +0200

openjdk-15 (15~18-1) unstable; urgency=medium

  * OpenJDK 15 snapshot, build 18.
    - Stop shipping the rmic command.
  * Make autopkgtests cross-test-friendly (Steve Langasek). LP: #1861467.
  * d/tests/jtreg-autopkgtest.in: keep generated hs_err log files
    with test artifacts to improve later debug (Tiago Stürmer Daitx).
  * d/tests/jtdiff-autopkgtest.in: set default vm to correctly locate (Tiago
    Stürmer Daitx)
  * jhsdb isn't built on sh4 (Adrian Glaubitz). Addresses: #951774.
  * Enable zero for armhf again.
  * Enable running the tests again, jtreg now updated to 6.0.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 13 Apr 2020 21:16:21 +0200

openjdk-15 (15~11-1) unstable; urgency=medium

  * OpenJDK 15 snapshot, build 11.
  * Don't apply the disable-doclint-by-default patch, it should be possible
    to disable those by command line options.
  * Don't apply the reproducible-javadoc-timestamp patch. Needs an update.
  * Refresh patches.
  * Update all the provides for 15.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 21 Feb 2020 09:48:57 +0100

openjdk-14 (14~36-1) unstable; urgency=medium

  * OpenJDK 14 snapshot, build 36 (first release candidate).
  * Regenerate the control file. Closes: #942783.
  * Fix FTCBFS (Helmut Grohne). Closes: #949460.
    - Missing Build-Depends: zlib1g-dev:native.
    - Use triplet-prefixed objcopy and strip.
  * Bump standards version.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Feb 2020 09:08:15 +0100

openjdk-14 (14~32-1) unstable; urgency=medium

  * OpenJDK 14 snapshot, build 32.
  * Make the generated character data source files reproducible (Emmanuel
    Bourg). Addresses: #933339.
  * Make the generated module-info.java files reproducible (Emmanuel Bourg).
    Addresses: #933342.
  * Make the generated copyright headers reproducible (Emmanuel Bourg).
    Addresses: #933349.
  * Make the build user reproducible (Emmanuel Bourg). Addresses: #933373.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Jan 2020 23:31:42 +0100

openjdk-14 (14~31-1) unstable; urgency=medium

  * OpenJDK 14 snapshot, build 31.
  * openjdk-14-dbg: Conflict with openjdk-13-dbg as well. Closes: #942783.
  * Configure with --enable-deprecated-ports=yes on sparc64. Closes: #946723.
  * disable Zero on sparc64. Closes: #946766.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Jan 2020 15:19:43 +0100

openjdk-14 (14~27-1) unstable; urgency=medium

  * OpenJDK 14 snapshot, build 27.
  * Fix the jtreg consistency check when building without jtreg.
  * Don't call dh_strip_nondeterminism when building for older releases.
  * Fix disabling the zero build on arm64 on trusty.
  * Re-enable running the tests.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 14 Dec 2019 11:21:53 +0100

openjdk-14 (14~19-1) unstable; urgency=medium

  * OpenJDK 14 snapshot, build 19.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Oct 2019 08:26:17 +0200

openjdk-14 (14~18-1) experimental; urgency=medium

  * OpenJDK 14 snapshot, build 18.
  * Bump standards version.
  * Use dh_strip_nondeterminism (Emmanuel Bourg). Addresses: #933389.
  * Fix 8230708, server build on sparc64 (Adrian Glaubitz). Closes: #939565.
  * Fix FTBFS with DEB_BUILD_PROFILES=nocheck (Helmut Grohne).
    Addresses: #939521.
  * Fix debug and src symlinks. Addresses: #893134, #910694, #910696.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Oct 2019 11:05:23 +0200

openjdk-14 (14~14-2) experimental; urgency=medium

  * OpenJDK 14 snapshot, build 14.
  * Don't build zero on armhf, still broken.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 12 Sep 2019 17:54:43 +0200

openjdk-14 (14~13-1) experimental; urgency=medium

  * OpenJDK 14 snapshot, build 13.
  * Properly generate Breaks: rules for bionic (fix typo).
  * Remove libgtk-3-dev from build-deps: libgtk-3-dev is not actually
    required, package builds fine without it; libgtk2.0-0 or libgtk-3-0
    should be explicitly declared instead in bdeps and tests;
    libxrandr-dev should be explicitly added as it is required and was
    being included due to libgtk-3-dev dependency.
  * Set minimum dependency on jtreg based on testsuite requirements.
  * Fail during pre-build if installed jtreg version is lower then
    the minimum required version.
  * Improve and fix build tests and autopkgtests:
    - Depend on default-jre-headless so jtreg will use the
      JRE from /usr/default-java; remove JT_JAVA exports as it
      no longer needs to be set.
    - Update debian/tests/hotspot,jdk,langtools to ignore
      jtreg-autopkgtest.sh return code.
    - Create debian/tests/jtdiff-autopkgtest.in as it depends
      on debian/rules variables.
    - debian/tests/jtreg-autopkgtest.sh:
      + Enable retry of failed tests to trim out flaky tests.
      + Fix unbound variable.
      + Keep .jtr files from failed tests only.
    - debian/tests/jtdiff-autopkgtest.sh:
      + Fail only if an actual regression is detected.
      + Add the super-diff comparison from jtdiff.
    - debian/rules:
      + Preserve all JTreport directories in the test output
        directory.
      + Use JDK_DIR instead of JDK_TO_TEST for autopkgtest
        generation.
      + Package all .jtr files from JTwork as jtreg-autopkgtest.sh
        makes sure it contains only failing tests.
  * Bump standards version.
  * Try to build zero on armhf again.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Sep 2019 08:22:27 +0200

openjdk-14 (14~6-0ubuntu1) eoan; urgency=medium

  * OpenJDK 14 snapshot, build 6.
  * Fix dependency generation on the libjpeg runtime. Addresses: #927965.
  * Drop dependency on transitional libgl1-mesa-glx package. Addresses: #930611.
  * Fix more build issues for Ubuntu precise builds.
  * Don't install jhsdb on riscv64 (Aurelian Jarno).
  * Tighten dependency on jtreg.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 18 Jul 2019 17:44:41 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog openjdk-17-jre-headless`.
